Subject: Re: bug#11583: 24.0.97; 24 pretest Emacs.app crashes closing frames

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 May 2012 18:11:57 +0300

> From: Steven Parkes <[email-masked]>
> Date: Tue, 29 May 2012 20:07:28 -0700
> Cc: "[email-masked]" <[email-masked]>
> 
> 
> On May 29, 2012, at 7:52 PM, Eli Zaretskii wrote:
> 
> > Can you tell what is error_symbol and data in frame #31 and what
> > symbol is being passed to Fsymbol_value in frame #34?
> 
> Can you give me hints on how to answer this? Something I can do in gdb?

Yes, in GDB.  Like this:

 (gdb) fr 31
 (gdb) p error_symbol
 (gdb) xtype

According to what "xtype" says, use the appropriate x* command to
display the Lisp object.  For example, if "xtype" says it's a symbol,
use "xsymbol", for strings use "xstring", etc.  (You will have to make
sure src/.gdbinit is sourced before you can use the x* commands.)

> I could try building w/o optimizations and see if it still fails. If it does, presumably I can get more info from gdb more easily.

That would be even better.

> Got it. Just looked up how to do this. I overlooked where it was defined on the first go around. Sorry 'bout that.

If you start GDB from the src directory, this works automagically,
because .gdbinit is read and xbacktrace is invoked after each "bt".

Thanks.